> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all datapoints on an event

> Lists all datapoints on a specific event with filtering and sorting capabilities.



## OpenAPI

````yaml GET /projects/{project_id}/events/{event_id}/data_points
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/events/{event_id}/data_points:
    get:
      summary: List all datapoints on an event
      description: >-
        Lists all datapoints on a specific event with filtering and sorting
        capabilities.
      operationId: list-all-evidences-on-an-event-copy
      parameters:
        - name: project_id
          in: path
          description: ID of project
          schema:
            type: string
          required: true
        - name: event_id
          in: path
          description: >-
            Unique ID of event in the `evt_XXXX` syntax. For example:
            `evt_DLnYvzbjSujNAvXE`
          schema:
            type: string
          required: true
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
        - name: sort
          in: query
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending. Available fields: id, created_at, updated_at, status,
            value
          schema:
            type: string
            example: status,-created_at
        - name: filter[id][eq]
          in: query
          schema:
            type: integer
        - name: filter[status][eq]
          in: query
          schema:
            type: string
            enum:
              - complete
              - incomplete
              - pending
        - name: filter[value][eq]
          in: query
          description: Filter by exact value (works for all value types)
          schema:
            type: string
        - name: filter[nexus_data_point_type_id][eq]
          in: query
          description: Filter by data point type ID
          schema:
            type: integer
        - name: filter[nexus_event_type_id][eq]
          in: query
          description: >-
            Filter by event type ID (filters datapoints belonging to specific
            event types)
          schema:
            type: integer
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: in_kiIuaGIUqRxWUmTY
                        slug: total-ash-delivered-wet-us-ton
                        data_point_type: Total Ash Delivered (wet mass) U.S. ton
                        value: 290.6
                        unit: U.S. ton
                        status: complete
                      - id: in_b7LLzf9PlhO4Sfco
                        slug: distance-biochar-transported
                        data_point_type: Biochar distance transported
                        value: 15.3
                        unit: mile
                        status: complete
                      - id: in_yC0NBPLSmtxXV9BC
                        slug: biochar-end-use
                        data_point_type: Biochar end use
                        value: soil amendment
                        unit: null
                        status: complete
                    info:
                      items: 3
                      page_size: 10
                      total_items: 3
                      current_page: 1
                      next_page: null
                      previous_page: null
                      total_pages: 1
                      sort:
                        - field: created_at
                          direction: desc
                      filter:
                        - field: status
                          operator: eq
                          value: complete
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: in_kiIuaGIUqRxWUmTY
                        slug:
                          type: string
                          example: total-ash-delivered-wet-us-ton
                        data_point_type:
                          type: string
                          example: Total Ash Delivered (wet mass) U.S. ton
                        value:
                          type: number
                          example: 290.6
                          default: 0
                        unit:
                          type: string
                          example: U.S. ton
                        status:
                          type: string
                          example: complete
                  info:
                    type: object
                    properties:
                      items:
                        type: integer
                        example: 3
                        default: 0
                      page_size:
                        type: integer
                        example: 10
                        default: 0
                      total_items:
                        type: integer
                        example: 3
                        default: 0
                      current_page:
                        type: integer
                        example: 1
                        default: 0
                      next_page: {}
                      previous_page: {}
                      total_pages:
                        type: integer
                        example: 1
                        default: 0
                      sort:
                        type: string
                      filter:
                        type: string
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````